<?php

namespace Drupal\rich_image\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\image\Plugin\Field\FieldFormatter\ImageFormatter;

/**
 * Plugin implementation of the 'rich_image' formatter.
 *
 * @FieldFormatter(
 *   id = "rich_image",
 *   label = @Translation("Rich Image"),
 *   field_types = {
 *     "image"
 *   }
 * )
 */
class RichImageFormatter extends ImageFormatter {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $elements = parent::viewElements($items, $langcode);
    foreach ($elements as $delta => $element) {
      // Set a new theme callback function for the image caption formatter.
      $elements[$delta]['#theme'] = 'rich_image_formatter';
    }
    return $elements;
  }

}
